commit:     90ffae5e70ff2b6192dbf4d46918022f6ccaf853
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Sat Jul  3 21:44:19 2021 +0000
Commit:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Sat Jul  3 23:55:45 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=90ffae5e

dev-python/sphinxcontrib-restbuilder: initial import

Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 dev-python/sphinxcontrib-restbuilder/Manifest      |  1 +
 dev-python/sphinxcontrib-restbuilder/metadata.xml  | 13 ++++++++++
 .../sphinxcontrib-restbuilder-0.3.ebuild           | 29 ++++++++++++++++++++++
 3 files changed, 43 insertions(+)

diff --git a/dev-python/sphinxcontrib-restbuilder/Manifest 
b/dev-python/sphinxcontrib-restbuilder/Manifest
new file mode 100644
index 000000000..bde5235cd
--- /dev/null
+++ b/dev-python/sphinxcontrib-restbuilder/Manifest
@@ -0,0 +1 @@
+DIST sphinxcontrib-restbuilder-0.3.tar.gz 24926 BLAKE2B 
885ec51030ef05c9bf528efc5ee8ac1552692d760854c750342947b599411a1d469aff577938286ef22de0e051450605e646b7b904dd69b513c9016ddbc8345c
 SHA512 
0b94d05a2fed1f2203fea94cd3a525a62530ec1777d28d59f9232241dd6816eedf871d6a6f616f6f9ce2946a90143871be09d8cae75747b224a6032e284963ed

diff --git a/dev-python/sphinxcontrib-restbuilder/metadata.xml 
b/dev-python/sphinxcontrib-restbuilder/metadata.xml
new file mode 100644
index 000000000..b6ef8d6ec
--- /dev/null
+++ b/dev-python/sphinxcontrib-restbuilder/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+    <maintainer type="person">
+      <email>[email protected]</email>
+      <name>Alessandro Barbieri</name>
+    </maintainer>
+    <upstream>
+        <bugs-to>https://github.com/sphinx-contrib/restbuilder/issues</bugs-to>
+        <remote-id type="github">sphinx-contrib/restbuilder</remote-id>
+        <remote-id type="pypi">sphinxcontrib-restbuilder</remote-id>
+    </upstream>
+</pkgmetadata>

diff --git 
a/dev-python/sphinxcontrib-restbuilder/sphinxcontrib-restbuilder-0.3.ebuild 
b/dev-python/sphinxcontrib-restbuilder/sphinxcontrib-restbuilder-0.3.ebuild
new file mode 100644
index 000000000..95458e825
--- /dev/null
+++ b/dev-python/sphinxcontrib-restbuilder/sphinxcontrib-restbuilder-0.3.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A Sphinx builder/writer to output reStructuredText (rst) files"
+HOMEPAGE="
+       https://github.com/sphinx-contrib/restbuilder
+       https://pypi.org/project/sphinxcontrib-restbuilder
+"
+SRC_URI="https://github.com/sphinx-contrib/restbuilder/archive/refs/tags/${PV}.tar.gz
 -> ${P}.tar.gz"
+S="${WORKDIR}/${P/sphinxcontrib-/}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="dev-python/sphinx[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+python_install_all() {
+       distutils-r1_python_install_all
+       find "${ED}" -name '*.pth' -delete || die
+}

Reply via email to